@import url(font.css);

body {
    font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
}

.mobile-only {
    display: none;
}

body .modal-dialog {
    width: 100%;
    margin: auto;
}

#video-modal {
    padding-right: 0 !important;
}


#video-element {
    width: 100%;
    height: auto;
}

.intro {
    font-size: 15px;
    padding: 25px 25px 0 15px;
}

/* ipad Portrait and Landscape */
@media only screen and (min-width: 768px) and (max-width: 1199px) {

    body .modal-dialog {
        width: 80%;
    }

    #search-container {
        padding-top: 25px;
    }

    #session-container ul {
        list-style-type: none;
    }

    .session-pager-text {
        margin-left: 15px;
        margin-top: 25px;
        margin-bottom: 0px;
        font-size: 13px;
    }

    .session-line-divider {
        margin-top: 5px;
        margin-left: 15px;
    }

    .related-documents,
    .related-video {
        margin-left: -15px;
        font-size: 13px;
    }

    #sessions-resource-list .session-title {
        padding-bottom: 30px;
        font-size: 18px;
    }

    #search-textbox {
        position: relative;
        padding-left: 16px;
    }

        #search-textbox #search-icon {
            position: absolute;
            top: 10px;
            right: 25px;
            cursor: pointer;
        }

        #search-textbox input {
            width: 100%;
            padding-left: 10px;
            padding-top: 5px;
            padding-bottom: 5px;
        }

    .filter-button-container {
        margin-left: -15px;
    }

        .filter-button-container div {
            background: rgb(64,120,171) url("/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-filter-list.png") no-repeat 128px 48%;
            padding-bottom: 8px;
            font-size: 14px;
            padding-top: 6px;
            padding-left: 21px;
            width: 170px;
            cursor: pointer;
        }

    .filter-button a,
    .filter-button a:hover {
        color: white;
        text-decoration: none;
    }

    .filter-button i {
        color: white;
    }

    /*filter slide out*/
    .c-menu {
        position: fixed;
        z-index: 200;
        background-color: white;
        transition: transform 0.3s;
    }

    .filter-bar .c-menu-close {
        float: right;
        color: #000;
        font-size: 14px;
        border: none;
        box-shadow: none;
        border-radius: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        cursor: pointer;
        text-decoration: underline;
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-weight: 600;
    }

    .c-mask {
        position: fixed;
        z-index: 100;
        top: 0;
        left: 0;
        overflow: hidden;
        width: 0;
        height: 0;
        background-color: #000;
        opacity: 0;
        transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
    }

    .c-menu-slide-left {
        width: 350px;
        height: 100%;
        overflow-y: scroll;
        top: 0;
        left: 0;
        transform: translateX(-100%);
    }

    .c-menu-close-container {
        width: 100%;
        display: inline-block;
        padding-top: 10px;
        padding-bottom: 20px;
    }

    .selected-tags .non-expandable {
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-size: 20px;
    }

    .clear-filters {
        display: none;
    }

    .remove-all-filters {
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-size: 14px;
        color: #197dd3;
        margin-left: 20px;
    }

    .filter-bar {
        padding-left: 20px;
        padding-right: 20px;
    }
}


/* iphone Portrait and Landscape */
@media only screen and (min-width: 320px) and (max-width: 767px) {
    .mobile-only {
    display: block;
}
    .selected-tags.mobile-only ul {
        padding-left: 0;
        list-style: none;
    }
    #search-container {
        padding-top: 25px;
    }

    #session-container ul {
        list-style-type: none;
        padding-left: 0px;
    }

    .session-pager-text {
        margin-top: 25px;
        margin-bottom: 0px;
        font-size: 13px;
    }

    .session-line-divider {
        margin-top: 15px;
    }

    .related-documents,
    .related-video {
        font-size: 13px;
    }

    #sessions-resource-list .session-title {
        padding-bottom: 30px;
        font-size: 18px;
    }

    #search-textbox {
        position: relative;
        padding-left: 0;
        padding-right: 0;
    }

        #search-textbox #search-icon {
            position: absolute;
            top: 10px;
            right: 12px;
        }

        #search-textbox input {
            width: 100%;
            padding-left: 10px;
            padding-top: 5px;
            padding-bottom: 5px;
        }

    .filter-button-container {
        margin-top: 10px;
        padding-left: 0;
        padding-right: 0;
        background: rgb(64, 120, 171);
    }


        .filter-button-container div {
            background: rgb(64,120,171) url("/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-filter-list.png") no-repeat right 54%;
            padding-bottom: 7px;
            font-size: 14px;
            padding-top: 6px;
            width: 129px;
            margin-left: 30%;
            vertical-align: middle;
            cursor: pointer;
        }

    .filter-button a,
    .filter-button a:hover {
        color: white;
        text-decoration: none;
    }

    .filter-button i {
        color: white;
    }

    /*filter slide out*/
    .c-menu {
        position: fixed;
        z-index: 200;
        background-color: white;
        transition: transform 0.3s;
    }

    .filter-bar .c-menu-close {
        float: right;
        color: #000;
        font-size: 14px;
        border: none;
        box-shadow: none;
        border-radius: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        cursor: pointer;
        text-decoration: underline;
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-weight: 600;
    }

    .c-mask {
        position: fixed;
        z-index: 100;
        top: 0;
        left: 0;
        overflow: hidden;
        width: 0;
        height: 0;
        background-color: #000;
        opacity: 0;
        transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
    }

    .c-menu-slide-left {
        width: 100%;
        height: 100%;
        overflow-y: scroll;
        top: 0;
        left: 0;
        transform: translateX(-100%);
    }

    .c-menu-close-container {
        width: 100%;
        display: inline-block;
        padding-top: 10px;
        padding-bottom: 20px;
    }

    .selected-tags .non-expandable {
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-size: 20px;
    }

    .clear-filters {
        display: none;
    }

    .remove-all-filters {
        font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
        font-size: 14px;
        color: #197dd3;
        margin-left: 20px;
    }

    .filter-bar {
        padding-left: 15px;
        padding-right: 15px;
    }
}


/* ----------- Non-Retina Screens - desktop ----------- */
@media screen and (min-width: 1200px) {
    
    body .modal-dialog {
        width: 80%;
    }
    
    .c-menu-close,
    .remove-all-filters {
        display: none;
    }

    #search-container,
    .filter-bar {
        padding-top: 25px;
    }

    .filter-button-container {
        display: none;
    }

    #session-container ul {
        list-style-type: none;
        padding-left: 0;
    }

    .session-pager-text {
        margin-top: 25px;
        margin-bottom: 0px;
        font-size: 13px;
    }

    .session-line-divider {
        margin-top: 5px;
    }

    .related-documents,
    .related-video {
        font-size: 13px;
    }

    #sessions-resource-list .session-title {
        padding-bottom: 30px;
        font-size: 18px;
    }

    #search-textbox {
        position: relative;
        padding-left: 0;
        padding-right: 0;
    }

        #search-textbox #search-icon {
            position: absolute;
            top: 10px;
            right: 12px;
        }

        #search-textbox input {
            width: 100%;
            padding-left: 10px;
            padding-top: 5px;
            padding-bottom: 5px;
        }

    .selected-tags .non-expandable {
        font-size: 15px;
    }
}


/* General Style*/

.modal-header a {
    float: right;
    margin-right: 5px;
    cursor: pointer;
}

    .modal-header a:hover {
        text-decoration: none;
    }

.related-content {
    margin-bottom: 25px;
}

    .related-content ul {
        float: none;
    }
/* Filter bar*/
.filter-bar {
    padding-right: 25px;
}

    .filter-bar ul {
        list-style-type: none;
        padding-left: 0px;
    }

.selected-tags ul {
    padding-top: 20px;
}

.selected-tags li {
    background-color: #eee;
    padding-top: 5px;
    padding-left: 10px;
    padding-bottom: 5px;
    font-size: 13px;
    margin-bottom: 3px;
    padding-right: 5px;
}

.selected-tags .close {
    background: url("/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-close.png") no-repeat center 30%;
    width: 20px;
    height: 20px;
    background-size: 80%;
    opacity: 0.6;
}


.clear-filters {
    float: right;
}

.filter-bar .filter-items-active {
    height: 100%;
}

.filter-sub-active {
    font-weight: bold;
    padding-left: 20px;
    background: url("/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-filter-select.png") transparent no-repeat left -13px;
}

.filter-sub-inactive {
    font-weight: normal;
    background: url("/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-filter-select.png") transparent no-repeat left 4px;
    padding-left: 20px;
}

.filter-bar a {
    font-size: 15px;
    text-decoration: none;
}

    .filter-bar a:hover {
        font-size: 15px;
        color: #00bcf2;
        text-decoration: none;
    }

.filter-bar .category-expanded h2 {
    background: url('/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-minus-grey.png') transparent no-repeat left center;
}

.filter-bar .category-collapsed h2 {
    background: url('/National_Library/oe_/https://resources.inspire.microsoft.com/Styles/Images/icon-plus-grey.png') transparent no-repeat left center;
}



.filter-item-criteria ul {
    padding-left: 3px;
}

.filter-bar h2 {
    font-size: 16px;
    color: #000;
    padding: 5px 0 5px 24px;
    margin-bottom: 5px;
    padding-top: 7px;
    border-top: 1px solid #ccc;
    margin-top: 3px;
}

.no-filter-message {
    font-size: 13px;
    padding-top: 14px;
}

.load-more-button {
    width: 100%;
    padding-bottom: 20px;
    text-align: center;
}

#search-input::-ms-clear {
    display: none;
}